Loading...
Searching...
No Matches
can_parse.cc File Reference
`#include <fuzzer/FuzzedDataProvider.h>`
`#include <cstdio>`
`#include <memory>`
`#include <string>`
`#include "ada.cpp"`
`#include "ada.h"`

Go to the source code of this file.

## Functions

int | LLVMFuzzerTestOneInput (const uint8_t *data, size_t size)

## Function Documentation

## LLVMFuzzerTestOneInput()

int LLVMFuzzerTestOneInput | ( | const uint8_t * | data,
|  | size_t | size )

ada::can_parse consistency checks.

can_parse() must agree with parse().has_value() in all cases. This invariant must hold regardless of input encoding.

Definition at line 10 of file can_parse.cc.

References ada::can_parse(), and ada::parse().